#!/bin/sh

APPNAME="scraper"

if pgrep -f "playbgm.sh" >/dev/null; then
	killall -q "playbgm.sh" "mp3play"
fi

if pgrep -f "muplay" >/dev/null; then
	killall -q "muplay"
	rm "$SND_PIPE"
fi

echo app >/tmp/act_go

. /opt/muos/script/var/func.sh

. /opt/muos/script/var/device/sdl.sh
. /opt/muos/script/var/device/storage.sh

export SDL_HQ_SCALER="$DC_SDL_SCALER"

APP_DIR="$DC_STO_ROM_MOUNT/MUOS/application/.$APPNAME"

cd "$APP_DIR" || exit

echo "$APPNAME" >/tmp/fg_proc

# ./$APPNAME > log.txt
./CSharpSDL2Test > log.txt

# CLeanup on exit
unset SDL_HQ_SCALER